Page MenuHomeFreeBSD

devel/py-fabric: Copy v1.14.1 to devel/py-fabric1
ClosedPublic

Authored by dbaio on Aug 17 2019, 1:35 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, Jun 18, 4:07 AM
Unknown Object (File)
May 20 2024, 12:48 PM
Unknown Object (File)
May 20 2024, 12:48 PM
Unknown Object (File)
May 20 2024, 12:48 PM
Unknown Object (File)
May 20 2024, 12:48 PM
Unknown Object (File)
May 19 2024, 9:26 PM
Unknown Object (File)
May 17 2024, 11:39 PM
Unknown Object (File)
May 12 2024, 7:50 PM
Subscribers

Details

Summary
devel/py-fabric: Copy to devel/py-fabric1

Make way for devel/py-fabric to be updated to its latest version (2.x)

Updates dependents that require fabric < 2 to devel/py-fabric1

Reviewed_by: koobs (maintainer)
Approved by: koobs (maintainer)
Differential_Revision: D21304
Test Plan
portlint: OK (looks fine.)
testport: OK (poudriere: 11,12,CURRENT, amd64 and i386, py27)

It was also executed a simple runtime test, checking fabric1 connections.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

koobs requested changes to this revision.Aug 23 2019, 6:56 AM

@dbaio Could you combine this and D21303 along with the changes necessary to switch py-fabric to py-fabric1 into a single differential

Also, I think its best to have py-fabric1 just use the main 'fabric' PyPI name and distfiles, but leaving PORTVERSION at the latest 1.x version. This will avoid having to s/fabric/fabric1 all over the codebases of dependent port.

This revision now requires changes to proceed.Aug 23 2019, 6:57 AM

@dbaio Could you combine this and D21303 along with the changes necessary to switch py-fabric to py-fabric1 into a single differential

Also, I think its best to have py-fabric1 just use the main 'fabric' PyPI name and distfiles, but leaving PORTVERSION at the latest 1.x version. This will avoid having to s/fabric/fabric1 all over the codebases of dependent port.

@koobs

Just checking.

Will we just create fabric1 as an additional port, still installing things on $PREFIX/lib/python2.7/site-packages/fabric ?

This simplifies a lot.

This way we need to configure conflicts between devel/py-fabric and devel/py-fabric1.

dbaio retitled this revision from sysutils/py-ezjailremote: Apply change to use py-fabric1 to devel/py-fabric: Copy v1.14.1 to devel/py-fabric1.
dbaio edited the summary of this revision. (Show Details)

Unifying revisions as requested.

This revision is now accepted and ready to land.Sep 6 2019, 3:05 PM
koobs edited the summary of this revision. (Show Details)

Looks good, thank you for looking after this @dbaio

This revision was automatically updated to reflect the committed changes.